import { createReducer, on } from '@ngrx/store';
import { State, initialState } from './state';
import { changeZoomSuccess } from './actions';

export const reducer = createReducer(
  initialState,
  on(changeZoomSuccess, (state, action) => {
    return {
      ...state,
      zoom: action.zoom
    } as State;
  })
);
